function [f,g,h,x,names,values]=dloudAfiltA_lit
% Symbolic literal model of a loudspeaker + 4th order Butterworth filters
%
% [F,G,H,NAMES,VALUES]=DLOUDAFILTA_LIT defines the literal symbolic
% linear-analytic state-space model x'= f(x) + g(x)u, y=hx of a loudspeaker
% filters at its input and output. NAMES is a cell containing parameter
% names, used later to access a structure of numerical parameter values.
% VALUES is a structure with default parameter values X is the symbolic
% state vector, used in the Taylor expansion of the model

%   CBVK Toolbox
%   JHMG, PMSB 2016

% Input and output filters
[A,b,c,d]=butter(4,2.989648308834421e+03,'s');
S=ss(A,b,c,d);

% Balanced realization
Sb=balreal(S);

Si.A=Sb.a;
Si.b=Sb.b;
Si.c=Sb.c;

[f,g,h,x,names,values]=dloudAfilt_lit(Si,Si);



