function [f,g,h,x]=dloudAfiltA_num(values)
% Symbolic numerical model of a loudspeaker + 4th order Butterworth filters
%
% [F,G,H,X]=DLOUDAFILTA_NUM(VALUES) generates the symbolical model
% of the loudspeaker defined by dloudAfiltA_lit with parameter values taken from the
% structure VALUES
%
% X is the symbolic state vector, used in the Taylor expansion of the model
%
% [F,G,H,X]=DLOUDAFILTA_NUM uses the default parameter values defined by 
% dloudAfiltA_lit


%   CBVK Toolbox
%   JHMG, PMSB 2016

% Loudspeaker model with literal parameters
if nargin==0
    [f,g,h,x,names,values]=dloudAfiltA_lit;
else
    [f,g,h,x,names]=dloudAfiltA_lit;
end

% Substitute numerical parameters
for i=1:length(names)
    eval([names{i} '= values.' names{i} ';']);
end

f=subs(f);
g=subs(g);
h=subs(h);





