function [f,g,h,x,names,values]=dloudAfilt_lit(Si,So);
% Symbolic model of loudspeaker + filters
%
% [F,G,H,X,NAMES,VALUES]=DLOUDAFILT_LIT generates the symbolical model
% of the device defined by dloudA_lit preceded by the filter (Si.A,Si.b,Si.c)
% and followed by the filter (So.a,So.b,So.c). It also passes on the default
% numerical values provided by dloudA_lit
%
% X is the symbolic state vector, used in the Taylor expansion of the model
%

%   CBVK Toolbox
%   JHMG, PMSB 2016

[f0,g0,h0,names,values]=dloudA_lit;

% Add filter at the input
[f1,g1,h1] = prefilter(f0,g0,h0,Si);

% Filter order
%M=length(Si.b);

% Add filter at output
[f,g,h] = postfilter(f1,g1,h1,So);

% Symbolic state vector
m = length(f);
x = sym(zeros(m,1));
for k=1:min(m,9)
    x(k) = sym(['x0' num2str(k)]);
end;
%m<100
if m>9
    for k=10:m
        x(k) = sym(['x' num2str(k)]);
    end;
end
    



