function [f,g,h,x,names,values]=dloudAitgr_lit
% Symbolic literal model of a integrator + loudspeaker
%
% [F,G,H,X,NAMES,VALUES]=DLOUDAITGR_LIT generates the symbolical model
% of the device defined by dloudA_lit preceded by an integrator (for calculating 
% discrete-time kernels with ZOH D/A). It also passes on the default
% numerical values provided by dloudA_lit
%
% X is the symbolic state vector, used in the Taylor expansion of the model
%

%   CBVK Toolbox
%   JHMG, PMSB 2016

[f0,g0,h,names,values]=dloudA_lit;

% Add integrator at the input
[f,g]=additgr(f0,g0);

% Output function has changed
h = [0, h];

% Symbolic state vector
m = length(f);
x = sym(zeros(m,1));
for mc=1:m
    x(mc) = sym(['x0' num2str(mc)]);
end;



