function [f,g,h,x]=dloudAitgr_num(values)
% Symbolic numerical model of a integrator + loudspeaker
%
% [F,G,H,X]=DLOUDAITGR_NUM(VALUES) generates the symbolical model
% of the loudspeaker defined by dloudA_lit preceded by an integrator (for calculating 
% discrete-time kernels with ZOH D/A), with parameter values taken from the
% structure VALUES
%
% X is the symbolic state vector, used in the Taylor expansion of the model
%
% [F,G,H,X]=DLOUDAITGR_NUM uses the default parameter values defined by dloudA_lit


%   CBVK Toolbox
%   JHMG, PMSB 2016

% Loudspeaker model with literal parameters
if nargin==0
    [f,g,h,x,names,values]=dloudAitgr_lit;
else
    [f,g,h,x,names]=dloudAitgr_lit;
end

% Substitute numerical parameters
for i=1:length(names)
    eval([names{i} '= values.' names{i} ';']);
end

f=subs(f);
g=subs(g);
h=subs(h);

