function [f,g,h,x,names,values]=dloudApfilt_lit(So);
% Symbolic literal model of a loudspeaker + post filter
%
% [F,G,H,X,NAMES,VALUES]=DLOUDAPFILT_LIT generates the symbolical model of
% the device defined by dloudA_lit followed by the filter (So.a,So.b,So.c).
% It also passes on the default numerical values provided by dloudA_lit
%
% X is the symbolic state vector, used in the Taylor expansion of the model
%

%   CBVK Toolbox
%   JHMG, PMSB 2016

[f0,g0,h0,names,values]=dloudA_lit;

% Add filter at output
[f,g,h] = postfilter(f0,g0,h0,So);

% Symbolic state vector
m = length(f);
x = sym(zeros(m,1));
for k=1:min(m,9)
    x(k) = sym(['x0' num2str(k)]);
end;
%m<100
if m>9
    for k=10:m
        x(k) = sym(['x' num2str(k)]);
    end;
end
    



