% Example of the use of voltkernels for rhe cascade of an
% ideal discrete/continuous (D/C) converter with gain 1/Fs, 
% D/A reconstruction filter, loudspeaker A, A/D anti-aliasing filter and 
% ideal C/D converter.


clear

% Expansion order
P=3;    

% Memory
N=100;

% Sampling frequency
Fs=5000;

% Verbosity
vb=1;

% -----------------------------------------------------------------------

% Literal linear-analytic model
[f,g,h,x,names,values]=dloudAfiltA_lit;      

% State vector dimension
m=length(x);    

% Pre-calculated weights and matrices, which can be stored
wtylr = mtaylorweights(m,P);
[D,Dg,K]=precbsp(m,P);


% Twos sets of parameter values
val{1}=values;
val{2}=values;
kernels = voltkernels(f,g,h,x,names,val,P,N,1/Fs,vb,0,0,1,wtylr,D,Dg,K);




