% Example of the use of voltkernels for rhe cascade of a
% ZOH discrete/continuous (D/C) converter, loudspeaker A and 
% ideal C/D converter.


clear

% Expansion order
P=3;    

% Memory
N=100;

% Sampling frequency
Fs=5000;

% Verbosity
vb=1;

% ---------------------------------------------------------------------

% Literal linear-analytic model
[f,g,h,x,names,values]=dloudAitgr_lit;      

% State vector dimension
m=length(x);    

% Pre-calculated weights and matrices, which can be stored
wtylr = mtaylorweights(m,P);
[D,Dg,K]=precbsp(m,P);


% Twos sets of parameter values (example of use only)
val{1}=values;
val{2}=values;

% Kernels 
kernels = voltkernels(f,g,h,x,names,val,P,N,1/Fs,vb,1,0,0,wtylr,D,Dg,K);



