function [F1cn,F11n,G1cn,G11n]=evtaylorsp(m,F1c,F1i,F11,G1c,G1i,G11,names,values,wt)
%EVTAYLORSP evaluates a literal Taylor expansion in sparsity oriented form
%
% [F1CN,F11N,G1CN,G11N]=evtaylorsp(M,F1C,F1I,F11,G1C,G1I,G11,NAMES,VALUES,W)
% evaluates the literal Taylor expansion coefficients (in sparsity oriented
% format) F1C,FI1,F11,G1C AND G1I of a literal symbolic linear-analytic
% state-space model x'= f(x) + g(x)u. NAMES is a cell containing parameter
% names, VALUES is a structure with default parameter values and WT are
% Taylor coefficients provided by MTAYLORWEIGHTS
%
% See also multaylorsp

%   CBVK Toolbox
%   JHMG, PMSB 2016
 
% Parameter setting 
for i=1:length(names)
  eval([names{i} '= values.' names{i} ';']);
end

F11n=(eval(F11))';
G11n=(eval(G11))';

F1cn=cell(1,m);
G1cn=cell(1,m);

for i=1:m
  
  F1cn{i}=eval(F1c{i}).*wt(F1i{i}+1);
  G1cn{i}=eval(G1c{i}).*wt(G1i{i}+1);
  
  
end

  
  
