function [F1cn,F11n,G1cn,G11n]=evtredsp(m,F1c,F11,G1c,G11,names,values)
%EVTREDSP evaluates a literal Taylor expansion in sparsity oriented form
%
% [F1CN,F11N,G1CN,G11N]=evtredsp(M,F1C,F11,G1C,G11,NAMES,VALUES) evaluates the
% literal redundant Taylor expansion coefficients (in sparsity oriented
% format) F1C,F11,G1C and G11 of a literal symbolic linear-analytic
% state-space model x'= f(x) + g(x)u. NAMES is a cell containing parameter
% names, VALUES is a structure with default parameter values.

%   CBVK Toolbox
%   JHMG, PMSB 2016

% Parameter setting 
for i=1:length(names)
  eval([names{i} '= values.' names{i} ';']);
end

F11n=(eval(F11))';
G11n=(eval(G11))';

F1cn=cell(1,m);
G1cn=cell(1,m);
for i=1:m
  
  F1cn{i}=eval(F1c{i});
  G1cn{i}=eval(G1c{i});

end

  
  
