#include "mex.h"

/* 
 
  kr1=extk(kr,p,N,N1,lp1) extracts the N1 memory length vectorized 
  representationof a pth order (p<=5) triangular kernel, with length 
  lp1=nchoosek(N1+p-1,p), from its N>=N1 memory length vectorized 
  representation kr (p<=5) 
 
  
  Compile with mex extk.c  
 
 CBVK Toolbox
 JHMG, PMSB 2016

*/


void mexFunction( int nlhs, mxArray *plhs[],
        int nrhs, const mxArray *prhs[] )
{
    
    
    double *kr1, *kr, *pN, *pN1, *plp1, *pp;
    int N, N1, p, lp1,
    
    /* Pointer extraction and initialization */
    
    kr = mxGetPr(prhs[0]);
    /* kr is organized into a vector */
 
    
    pp = mxGetPr(prhs[1]);
    p = (int) *pp;
    
    pN = mxGetPr(prhs[2]);
    N = (int) *pN;
    
    pN1 = mxGetPr(prhs[3]);
    N1 = (int) *pN1;
    
    plp1 = mxGetPr(prhs[4]);
    lp1 = (int) *plp1;
    
    
    /* Output vector creation */
    plhs[0] = mxCreateDoubleMatrix(lp1,1,mxREAL);
    kr1 = mxGetPr(plhs[0]);
    
    
    for (k1=0;k1<N1;k1++){
        for (k2=k1;k2<N;k2++){
            if (P==2)
                if (k2<N1)
                    *kr1++ = *kr++;
                else
                    *kr++;                              
            else{
                for (k3=k2;k3<N;k3++){
                    if (P==3)
                        if (k3<N1)
                            *kr1++ = *kr++;
                        else
                            *kr++;                      
                        
                    else{
                        p4 = p3 + k3*N3;
                        for (k4=k3;k4<N;k4++){
                            if (P==4)
                            /*p4 = kr + k1 + k2*N +k3*N2 + k4*N3;
                                printf("%i %f \n",p4-kr,*p4);*/
                                *kv++ = *p4;
                            else{
                                p5 = p4 + k4*N4;
                                for (k5=k4;k5<N;k5++){
                                    /*p4 = kr + k1 + k2*N +k3*N2 + k4*N3 +k5*N4
                                    printf("%i %f \n",p5-kr,*p5);*/
                                    *kv++ = *p5;
                                    p5 +=N4;
                                }
                            }
                            p4 +=N3;
                        }
                    }
                    p3 += N2;
                }
            }
            p2 +=N;
        }
        p1++;
    }
}
    
    
    