#include "mex.h"

/* 
 
  kv=veck(kr,p,N,lp) vectorizes the pth order triangular kernel kr of 
  memory length N into a lp=nchoosek(N+p-1,p) length vector. (p<=5)
 
  
  Compile with mex veck.c  
 
 CBVK Toolbox
 JHMG, PMSB 2016

*/


void mexFunction( int nlhs, mxArray *plhs[],
        int nrhs, const mxArray *prhs[] )
{
    
    
    double *kv, *kr, *pN, *plp, *p1, *p2, *p3, *p4, *p5, *pP;
    int N, k1, k2, k3, k4, k5, lp, P, N2, N3, N4;
    
    /* Pointer extraction and initialization */
    
    kr = mxGetPr(prhs[0]);
    /* kr is organized into a vector */
 
    
    pP = mxGetPr(prhs[1]);
    P = (int) *pP;
    
    pN = mxGetPr(prhs[2]);
    N = (int) *pN;
    N2=N*N;
    N3=N2*N;
    N4=N3*N;
    
    
    plp = mxGetPr(prhs[3]);
    lp = (int) *plp;
    
    
    /* Output vector creation */
    plhs[0] = mxCreateDoubleMatrix(lp,1,mxREAL);
    kv = mxGetPr(plhs[0]);
    
        p1 = kr;
    for (k1=0;k1<N;k1++){
        p2 = p1 + k1*N;
        for (k2=k1;k2<N;k2++){
            if (P==2)
                /*p2 = kr + k1 + k2*N 
                printf("%i %f \n",p2-kr,*p2);*/
                *kv++ = *p2;
            else{
                p3 = p2 + k2*N2;
                for (k3=k2;k3<N;k3++){
                    if (P==3)
                        /*p3 = kr + k1 + k2*N +k3*N2
                        printf("%i %f \n",p3-kr,*p3);*/
                        *kv++ = *p3;
                    else{
                        p4 = p3 + k3*N3;
                        for (k4=k3;k4<N;k4++){
                            if (P==4)
                            /*p4 = kr + k1 + k2*N +k3*N2 + k4*N3;
                                printf("%i %f \n",p4-kr,*p4);*/
                                *kv++ = *p4;
                            else{
                                p5 = p4 + k4*N4;
                                for (k5=k4;k5<N;k5++){
                                    /*p4 = kr + k1 + k2*N +k3*N2 + k4*N3 +k5*N4
                                    printf("%i %f \n",p5-kr,*p5);*/
                                    *kv++ = *p5;
                                    p5 +=N4;
                                }
                            }
                            p4 +=N3;
                        }
                    }
                    p3 += N2;
                }
            }
            p2 +=N;
        }
        p1++;
    }
}
    
    
    